post.summarySection("Loaded Graphs")
for a in inputGraphs:
	a.print()
post.summarySection("Loaded Rules")
for a in inputRules:
	a.print()

dg.print()

post.summarySection("Product Graphs")
for v in dg.vertices:
	v.graph.print()
